import { QueryParamParams } from './types';
export declare class QueryParamDef<QueryParams = any> {
    private config;
    constructor(config: QueryParamParams<QueryParams>);
    get queryKey(): keyof QueryParams & string;
    get path(): string;
    get type(): import("./types").ParamDefType;
    get strategy(): "modelToUrl" | "twoWay";
    get parser(): ((value: string) => any) | undefined;
    get serializer(): ((value: any) => string | null) | undefined;
    get syncInitialValue(): boolean;
    serialize(controlValue: any): string | null;
    parse(queryParamValue: string): any;
}
